/*
 Theme Name:   CPP
 Theme URI:    
 Description:  
 Author:       Cooperativa EITA
 Author URI:   http://eita.coop.br
 Template:     blocksy
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  cpp
*/

.fliters-default {
  display: flex;
  gap: 20px;
  margin-block-end: 2rem !important;
  align-items: flex-end;

  .search-holder {
    position: relative;
    flex-shrink: 1;
    flex-grow: 1;
    width: 100%;

    i {
      position: absolute;
      right: 10px;
      top: 50%;
      transform: translateY(-50%);
      cursor: pointer;
    }
  }

  .search_custom_filter {
    border: 1px solid var(--theme-palette-color-2);
    width: 100%;
  }

  select {
    border: 1px solid var(--theme-palette-color-2);
    flex-shrink: 0;
    flex-grow: 0;
    width: 200px;
  }
}

@media screen and (max-width: 1000px) {
  .fliters-default {
    flex-direction: column;
    align-items: stretch;
    & > div {
      display: flex;
      flex-direction: column;
    }
    select {
      width: unset;
    }
  }
}

/*HORIZONTAL SCROLLING*/
.horizontal-scrolling-container {
  overflow-x: hidden;
  white-space: nowrap;
  position: relative;
  width: 100%;
  padding: 15px 0;
  border-radius: 8px;
}

.horizontal-scrolling-container .scrolling-content {
  display: inline-block;
  white-space: nowrap;
  font-size: 1.75rem;
  font-weight: bold;
  color: #333;
  padding-left: 20px;
  font-family: "Bebas Neue", sans-serif;
}

.horizontal-scrolling-container .scrolling-content span {
  display: inline-block;
  padding: 0 20px;
}

.horizontal-scrolling-mask {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-image: linear-gradient(
    to left,
    #ffffff,
    #ffffff00 60px,
    #ffffff00 calc(100% - 60px),
    #ffffff 100%
  );
}
